#ifndef _SERIALMON_IOCTL_H
#define _SERIALMON_IOCTL_H

#ifdef __KERNEL__
#include <linux/time.h>
#else
#include <sys/time.h>
#endif

#define TIOCSERGSTATS   0x54f3 /* Get interrupt statistics */

#define TIOCSERRELMOD   0x54f4 /* Release the module (prevents accidental removal) */

/*
 * Serial statistics structure returned by TIOCSERGSTATS ioctl
 */
struct serial_stats_struct {
    int count;
    int rx;
    int tx;
    struct timeval ts;
};

#endif
